﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="HTMLViewer_ExportButtons.WebForm1" %>

<%@ Register Assembly="GrapeCity.ActiveReports.Web.v11, Version=11.0.8705.0, Culture=neutral, PublicKeyToken=cc4967777c49a3ff"
    Namespace="GrapeCity.ActiveReports.Web" TagPrefix="ActiveReportsWeb" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        #ExportSelect option, #ReportSelect option {
            padding: 5px !important;
        }
    </style>
    <title></title>    
    <script src="jquery-1.7.2.min.js"  type="text/javascript"></script>
    <script language="javascript" type="text/javascript">       
        function ForcePostBack() {
            form1.submit();
        }
        var reportSelect = '<select id="ReportSelect" style="width:150px"><option selected disabled>Choose Report</option><option value="SectionReport1">SectionReport1</option><option value="SectionReport2">SectionReport2</option></select>';
        var exportSelect = '<select id="ExportSelect" style="width:80px"><option selected disabled>Export</option><option value="PDF" style="background: url(images/pdf.png) right no-repeat; width: 50px">PDF</option><option value="Excel" style="background: url(images/Excel.gif) right no-repeat; width: 50px">Excel</option></select>';
        $(document).ready(function () {
            var selectedValue = $("#fldReportName").val();
            if (selectedValue !== "") {
                setTimeout(function () {
                    $("#ReportSelect").val(selectedValue);
                }, 100);
            }
            var toolbar = $('#WebViewer1').find('.arvToolBar');
            toolbar.append(reportSelect);
            toolbar.append(exportSelect);
            var viewModel = GetViewModel("WebViewer1");

            //Force a postback upon report selection
            $("#ReportSelect").change(function (e, args) {
                var reportName = this.value;
                $("#fldReportName").val(reportName);
                ForcePostBack();
                this.value = $("#fldReportName").val();
            });

            //Check the selected value in DropDown and Export
            $("#ExportSelect").change(function (e, args) {
                var valueSelected = this.value;
                if (viewModel.PageLoaded()) {
                    switch (valueSelected) {
                        case "PDF":
                            viewModel.Export(ExportType.Pdf, function (uri) {
                                window.location = uri;
                            }, true);
                            break;
                        case "Excel":
                            viewModel.Export(ExportType.Xls, function (uri) {
                                window.location = uri;
                            }, true);
                            break;
                    }
                }
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ActiveReportsWeb:WebViewer ID="WebViewer1" runat="server" Height="651px" Width="865px"
                ReportName="">
            </ActiveReportsWeb:WebViewer>
        </div>
        <asp:HiddenField ID="fldReportName" runat="server" />
    </form>
</body>
</html>
